"""
交易相关的常量定义。

本模块定义了在交易系统中常用的常量，例如交易类型、订单状态、订单类型和订单方向。
"""

from typing import Final

# 交易常量
TRADE_TYPE_REAL: Final[str] = 'real'
TRADE_TYPE_SIMULATION: Final[str] = 'simulation'

# 订单状态
ORDER_STATUS_PENDING: Final[str] = 'pending'
ORDER_STATUS_PARTIAL: Final[str] = 'partial'
ORDER_STATUS_COMPLETED: Final[str] = 'completed'
ORDER_STATUS_CANCELLED: Final[str] = 'cancelled'
ORDER_STATUS_FAILED: Final[str] = 'failed'

# 订单类型
ORDER_TYPE_LIMIT: Final[str] = 'limit'
ORDER_TYPE_MARKET: Final[str] = 'market'

# 订单方向
ORDER_DIRECTION_BUY: Final[str] = 'buy'
ORDER_DIRECTION_SELL: Final[str] = 'sell'

